<p-dialog
  header="Öffnungszeiten bearbeiten"
  [(visible)]="displayDialog"
  [modal]="true"
  [closable]="false"
  [focusOnShow]="false"
  [style]="{ width: '50vw' }"
>
  <div style="margin-bottom: 1rem">
    <label>
      <input
        type="checkbox"
        [(ngModel)]="allDaysAllDay"
        (change)="handleAllDaysAllDayChange()"
      />
      Alle Tage ganztägig geöffnet
    </label>
  </div>

  <p-accordion [multiple]="true">
    <p-accordionTab *ngFor="let day of days" [header]="formatDay(day)">
      <div style="margin-bottom: 1rem">
        <div style="margin-bottom: 0.5rem; font-weight: bold">
          {{ formatDay(day) }}
        </div>

        <div style="margin-bottom: 0.5rem">
          <label [for]="'closed-' + day">
            <input
              id="{{ 'closed-' + day }}"
              type="checkbox"
              [(ngModel)]="editedOpeningHours[day].closed"
              (change)="handleClosedChange(day)"
              [disabled]="allDaysAllDay"
            />
            Geschlossen
          </label>
        </div>

        <div
          style="display: flex; align-items: center; gap: 2rem"
          *ngIf="!editedOpeningHours[day].closed && !allDaysAllDay"
        >
          <div style="display: flex; flex-direction: column">
            <label [for]="'from-' + day" style="margin-bottom: 0.25rem"
              >Von</label
            >
            <p-calendar
              id="{{ 'from-' + day }}"
              [(ngModel)]="editedOpeningHours[day].from"
              timeOnly="true"
              hourFormat="24"
              placeholder="Von"
              appendTo="body"
            ></p-calendar>
          </div>

          <div style="display: flex; flex-direction: column">
            <label [for]="'to-' + day" style="margin-bottom: 0.25rem"
              >Bis</label
            >
            <p-calendar
              id="{{ 'to-' + day }}"
              [(ngModel)]="editedOpeningHours[day].to"
              timeOnly="true"
              hourFormat="24"
              placeholder="Bis"
              appendTo="body"
            ></p-calendar>
          </div>
        </div>
      </div>
    </p-accordionTab>
  </p-accordion>

  <div *ngIf="errorMessage" class="p-error" style="margin: 10px 0">
    {{ errorMessage }}
  </div>

  <p-footer>
    <button
      pButton
      type="button"
      label="Abbrechen"
      icon="pi pi-times"
      (click)="cancel()"
      class="p-button-text"
    ></button>
    <button
      pButton
      type="button"
      label="Speichern"
      icon="pi pi-check"
      (click)="saveChanges()"
    ></button>
  </p-footer>
</p-dialog>
